Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class EdgeView.EdgeHandle

    java.lang.Object
      |
      +--org.jgraph.graph.EdgeView.EdgeHandle

All Implemented Interfaces:
  CellHandle, Serializable

Enclosing class:
  EdgeView

public static class EdgeView.EdgeHandle
extends Object
implements CellHandle, Serializable

See Also:
  Serialized Form

Field Summary
`protected Point2D` | `currentPoint`
`protected EdgeView` | `edge`
`protected boolean` | `firstOverlayCall`
`protected JGraph` | `graph`
`protected boolean` | `isEdgeConnectable`
`protected boolean` | `label`
`protected Rectangle2D` | `loc`
`protected EdgeView` | `orig`
`protected Rectangle2D[]` | `r`
`protected EdgeView` | `relevantEdge`
`protected boolean` | `source`
`protected boolean` | `target`

Constructor Summary
`EdgeView.EdgeHandle(EdgeView edge, GraphContext ctx)`

Method Summary
`protected ConnectionSet` | `createConnectionSet(EdgeView view, Object edge, boolean verbose)`
`protected void` | `invalidate()`
`boolean` | `isAddPointEvent(MouseEvent event)` Returning true signifies a mouse event adds a new point to an edge.
`boolean` | `isConstrainedMoveEvent(MouseEvent e)`
`protected boolean` | `isEditing()`
`boolean` | `isRemovePointEvent(MouseEvent event)` Returning true signifies a mouse event removes a given point.
`protected boolean` | `isSourceEditing()`
`protected boolean` | `isTargetEditing()`
`void` | `mouseDragged(MouseEvent event)` Messagedwhen the user drags the selection.
`void` | `mouseMoved(MouseEvent event)` Invoked when the mouse pointer has been moved on a component (with no buttons down).
`void` | `mousePressed(MouseEvent event)` Messaged when a drag gesture is recogniced.
`void` | `mouseReleased(MouseEvent e)` Messaged when the drag operation has terminated with a drop.
`void` | `overlay(Graphics g)` Paint the handle on the given graphics object during mouse operations.
`void` | `paint(Graphics g)` Paint the handle on the given graphics object once.
`protected void` | `paintPort(Graphics g, CellView p)`
`protected void` | `reloadPoints(EdgeView edge)`
`protected boolean` | `snap(boolean source, Point2D point)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graph

    protected JGraph graph

### edge

    protected EdgeView edge

### orig

    protected EdgeView orig

### label

    protected boolean label

### source

    protected boolean source

### target

    protected boolean target

### currentPoint

    protected Point2D currentPoint

### r

    protected transient Rectangle2D[] r

### loc

    protected transient Rectangle2D loc

### firstOverlayCall

    protected boolean firstOverlayCall

### isEdgeConnectable

    protected boolean isEdgeConnectable

### relevantEdge

    protected EdgeView relevantEdge

Constructor Detail

### EdgeView.EdgeHandle

    public EdgeView.EdgeHandle(EdgeView edge,
                               GraphContext ctx)

Method Detail

### reloadPoints

    protected void reloadPoints(EdgeView edge)

### paint

    public void paint(Graphics g)

  Description copied from interface: `CellHandle`
  Paint the handle on the given graphics object once.

  Specified by:
    `paint` in interface `CellHandle`
  Parameters:
    `g` - the graphics object to paint the handle on

### overlay

    public void overlay(Graphics g)

  Description copied from interface: `CellHandle`
  Paint the handle on the given graphics object during mouse operations.

  Specified by:
    `overlay` in interface `CellHandle`
  Parameters:
    `g` - the graphics object to paint the handle on

### paintPort

    protected void paintPort(Graphics g,
                             CellView p)

### snap

    protected boolean snap(boolean source,
                           Point2D point)

### isConstrainedMoveEvent

    public boolean isConstrainedMoveEvent(MouseEvent e)

### isAddPointEvent

    public boolean isAddPointEvent(MouseEvent event)

  Returning true signifies a mouse event adds a new point to an edge.

### isRemovePointEvent

    public boolean isRemovePointEvent(MouseEvent event)

  Returning true signifies a mouse event removes a given point.

### isSourceEditing

    protected boolean isSourceEditing()

### isTargetEditing

    protected boolean isTargetEditing()

### isEditing

    protected boolean isEditing()

### mouseMoved

    public void mouseMoved(MouseEvent event)

  Invoked when the mouse pointer has been moved on a component (with no buttons down).

  Specified by:
    `mouseMoved` in interface `CellHandle`

### mousePressed

    public void mousePressed(MouseEvent event)

  Description copied from interface: `CellHandle`
  Messaged when a drag gesture is recogniced.

  Specified by:
    `mousePressed` in interface `CellHandle`

### mouseDragged

    public void mouseDragged(MouseEvent event)

  Description copied from interface: `CellHandle`
  Messagedwhen the user drags the selection. The Controller is responsible to determine whether the mouse is inside the parent graph or not.

  Specified by:
    `mouseDragged` in interface `CellHandle`
  Parameters:
    `event` - the drag event to be processed

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Description copied from interface: `CellHandle`
  Messaged when the drag operation has terminated with a drop.

  Specified by:
    `mouseReleased` in interface `CellHandle`

### createConnectionSet

    protected ConnectionSet createConnectionSet(EdgeView view,
                                                Object edge,
                                                boolean verbose)

### invalidate

    protected void invalidate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2003-2004 Gaudenz Alder. All rights reserved.